defaultTasks = ['clean','build']
buildscript {
	ext {
		springBootVersion = '1.5.8.RELEASE'
	}
	repositories {
		mavenCentral()
	}
	dependencies {
		classpath("org.springframework.boot:spring-boot-gradle-plugin:${springBootVersion}")
	}
}

apply plugin: 'java'
apply plugin: 'eclipse'
apply plugin: 'org.springframework.boot'
apply plugin: 'war'

war {
	dependsOn test
    baseName = 'myTime'
    version = ''
}

group = 'com.nisum.mytime'
version = '0.0.1-SNAPSHOT'
sourceCompatibility = 1.8

repositories {
	mavenCentral()
}


dependencies {
	compile('org.springframework.boot:spring-boot-starter-actuator:1.5.10.RELEASE')
	compile('org.springframework.data:spring-data-mongodb:1.10.10.RELEASE')
	compile('org.springframework:spring-context-support')
	compile('org.springframework.boot:spring-boot-starter-data-jpa')
	compile('org.springframework.boot:spring-boot-starter-data-rest')
	compile('org.springframework.boot:spring-boot-starter-web')
	compile('javax.servlet:jstl')
	compile('javax.mail:mail:1.4.1')
	compile('org.mongodb:mongo-java-driver')
	compile('org.projectlombok:lombok:1.16.+')
	compile('org.quartz-scheduler:quartz:2.2.1')
	compile('org.quartz-scheduler:quartz:2.3.0')
	compile group: 'org.springframework.boot', name: 'spring-boot-starter-test', version:'1.5.8.RELEASE'
	testCompile ('junit:junit:4.12')
	compile('net.sf.ucanaccess:ucanaccess:4.0.1')
	testCompile('org.hsqldb:hsqldb')
	compile('com.healthmarketscience.jackcess:jackcess')
	compile('commons-logging:commons-logging')
	compile('commons-lang:commons-lang')
	compile('com.jcraft:jsch:0.1.46')
	compile('com.itextpdf:itextpdf:5.0.6')
	compile('jcifs:jcifs:1.3.17')
	compile('javax.servlet:servlet-api')
	compile('com.github.ozlerhakan:poiji:1.11')
	testCompile group: 'com.microsoft.sqlserver', name: 'mssql-jdbc', version: '6.1.0.jre8'
	compile('org.springframework.boot:spring-boot-starter-web')
	compile('io.springfox:springfox-swagger2:2.7.0')
	compile('io.springfox:springfox-swagger-ui:2.7.0')
}
